/* Problem URL: https://codeforces.com/gym/103960/problem/J */

#include <bits/stdc++.h>

using namespace std;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int n;
    cin >> n;

    map<string, int> card;

    vi cards(11, 4);
    cards[10] = 16;

    int john = 0;
    int mary = 0;

    vi value(14, 0);
    nrep(i, 1, 11) {
        value[i] = i;
    }

    value[11] = 10;
    value[12] = 10;
    value[13] = 10;

    int c1, c2;
    cin >> c1 >> c2;
    cards[value[c1]]--;
    cards[value[c2]]--;

    john = value[c1] + value[c2];

    cin >> c1 >> c2;
    cards[value[c1]]--;
    cards[value[c2]]--;

    mary = value[c1] + value[c2];

    while (n--) {
        int c;
        cin >> c;

        cards[value[c]]--;
        john += value[c];
        mary += value[c];
    }

    if (mary >= john) {
        if (23 - mary > 10 || cards[23 - mary] == 0) {
            cout << "-1\n";
            return 0;
        }

        cout << 23 - mary << '\n';
        return 0;
    }

    nrep(i, 1, 11) {
        if (mary + i > 23) {
            cout << "-1\n";
            return 0;
        }

        if (john + i > 23 && cards[i] > 0) {
            cout << i << '\n';
            return 0;
        }
    }

    cout << "-1\n";
}
